$! Check that the MMS Macro arguments are consistent with the environment
$! when building Mosaic 2.4 for OpenVMS. Not foolproof. And, it would be
$! nice if I could set the parameters. Maybe one should run MMS from a
$! command procedure.
$! Bjrn S. Nilsson, 3-Jun-1994
$!
$ Platform = F$GetSYI("Arch_Name")
$ If Platform .EQS. "Alpha"
$  Then
$   If F$Locate("AXP",P1) .EQ. F$Length(P1)
$    Then
$     Write SYS$Output -
"You are on an AXP so you need an AXP=1 clause in the MMS /MACRO qualifier."
$     GoTo Err
$    EndIf
$  EndIf
$!
$! Comment out the next test if you insist on using VAX C
$!
$ If F$Search("SYS$System:DECC$Compiler.Exe") .NES. ""
$  Then
$   If F$Locate("DECC",P1) .EQ. F$Length(P1)
$    Then
$     Write SYS$Output -
"You have DEC C so you need an DECC=1 clause in the MMS /MACRO qualifier."
$     GoTo Err
$    EndIf
$  EndIf
$ If F$Trnlnm("MULTINET") .NES. ""
$  Then
$   If F$Locate("MULTINET",P1) .EQ. F$Length(P1)
$    Then
$     Write SYS$Output -
"You are using MultiNet so you need an MULTINET=1 clause in the MMS /MACRO"
$     Write SYS$Output "qualifier."
$     GoTo Err
$    EndIf
$  EndIf
$ If F$Trnlnm("TWG$TCP") .NES. ""
$  Then
$   If F$Locate("PATHWAY",P1) .EQ. F$Length(P1)
$    Then
$     Write SYS$Output -
"You are using WIN/TCP so you need an PATHWAY=1 clause in the MMS /MACRO"
$     Write SYS$Output "qualifier."
$     GoTo Err
$    EndIf
$  EndIf
$ If F$Search("SYS$Update:DECW$Get_Image_Version.COM") .NES. ""
$  Then
$   @SYS$Update:DECW$Get_Image_Version SYS$Share:DECW$XLibshr.EXE DECW$Version 
$   If (F$Length(DECW$Version) .NE. 0) .AND. -
     (F$Locate("V1.2", DECW$Version) .NE. F$Length(DECW$Version))
$    Then
$! Motif12
$     If F$Locate("MOTIF1_2",P1) .EQ. F$Length(P1)
$      Then
$       Write SYS$Output -
"You are using Motif 1.2 so you need an MOTIF1_2=1 clause in the MMS /MACRO"
$       Write SYS$Output "qualifier."
$       GoTo Err
$      EndIf
$    EndIf
$  Else
$   Write SYS$Output "You do not seem to have DECW Motif installed correctly!"
$   GoTo Err
$  EndIf
$ If F$Trnlnm("XMU") .EQS. ""
$  Then
$   Write SYS$Output -
"You can not build Mosaic without the XMU auxilliary library. It comes as an"
"optional subset with DECWindows Motif, so you should install that now."
$   GoTo Err
$  EndIf
$End:
$ Exit
$Err:
$ Exit 18
